package com.tfis.system.service;

import java.util.List;
import com.tfis.system.domain.FaultCaseViewCount;

/**
 * 故障案例查看次数管理Service接口
 * 
 * @author allen
 * @date 2023-11-23
 */
public interface IFaultCaseViewCountService 
{
    /**
     * 查询故障案例查看次数管理
     * 
     * @param id 故障案例查看次数管理主键
     * @return 故障案例查看次数管理
     */
    public FaultCaseViewCount selectFaultCaseViewCountById(Long id);

    /**
     * 查询故障案例查看次数管理列表
     * 
     * @param faultCaseViewCount 故障案例查看次数管理
     * @return 故障案例查看次数管理集合
     */
    public List<FaultCaseViewCount> selectFaultCaseViewCountList(FaultCaseViewCount faultCaseViewCount);

    /**
     * 新增故障案例查看次数管理
     * 
     * @param faultCaseViewCount 故障案例查看次数管理
     * @return 结果
     */
    public int insertFaultCaseViewCount(FaultCaseViewCount faultCaseViewCount);

    /**
     * 修改故障案例查看次数管理
     * 
     * @param faultCaseViewCount 故障案例查看次数管理
     * @return 结果
     */
    public int updateFaultCaseViewCount(FaultCaseViewCount faultCaseViewCount);

    /**
     * 批量删除故障案例查看次数管理
     * 
     * @param ids 需要删除的故障案例查看次数管理主键集合
     * @return 结果
     */
    public int deleteFaultCaseViewCountByIds(Long[] ids);

    /**
     * 删除故障案例查看次数管理信息
     * 
     * @param id 故障案例查看次数管理主键
     * @return 结果
     */
    public int deleteFaultCaseViewCountById(Long id);
}
